<?php

	// 画像のファイル名
	if( !isset( $_GET['file'] ) || empty( $_GET['file'] ) )
	{
		$_GET['file'] = 'women.jpg' ;
	}

	// 設定項目
	$params = array(
		'api_key' => '' ,		// APIキー
		'api_secret' => '' ,		// APIシークレット
		'url' => get_current_dir() . $_GET['file'] ,		// 画像のURLアドレス (httpから指定して下さい)
		'attribute' => 'glass,pose,gender,age,race,smiling' ,		// 取得要素
	) ;

	// リクエストURL
	$request_url = 'https://apius.faceplusplus.com/v2/detection/detect' . '?' . http_build_query( $params ) ;

	//cURLを使ってリクエスト
	$curl = curl_init() ;
	curl_setopt( $curl , CURLOPT_URL , $request_url ) ;
	curl_setopt( $curl , CURLOPT_HEADER, 1 ) ; 
	curl_setopt( $curl , CURLOPT_SSL_VERIFYPEER , false ) ;
	curl_setopt( $curl , CURLOPT_RETURNTRANSFER , true ) ;
	curl_setopt( $curl , CURLOPT_TIMEOUT , 15 ) ;
	$res1 = curl_exec( $curl ) ;
	$res2 = curl_getinfo( $curl ) ;
	curl_close( $curl ) ;

	// 取得したデータを整理
	$json = substr( $res1, $res2['header_size'] ) ;
	$header = substr( $res1, 0, $res2['header_size'] ) ;		// レスポンスヘッダー (検証に利用したい場合にどうぞ)

	// HTML用
	$html = '' ;
	$script = '' ;

	// 画像のサイズを取得
	list( $width , $height ) = getimagesize( $params['url'] ) ;

	// リクエストしたデータ
	$html .= '<h2>リクエストした画像</h2>' ;
	$html .= '<div style="position:relative; top:0; left:0; overflow:hidden; text-align:center;">' ;
	$html .= 	'<img src="' . $params['url'] . '" width="' . $width . '" height="' . $height . '" id="syncer-face-detect" style="max-width:90%;height:auto;">' ;
	$html .= '</div>' ;

	// 取得したデータ
	$html .= '<h2>取得したデータ</h2>' ;
	$html .= '<p>リクエストの結果、下記のデータを取得できました。</p>' ;
	$html .= 	'<h3>JSON</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $json . '</textarea></p>' ;
	$html .= 	'<h3>レスポンスヘッダー</h3>' ;
	$html .= 	'<p><textarea rows="8">' . $header . '</textarea></p>' ;

	// 写真のリスト
	$photos = array( 'women.jpg' , 'man.jpg' , 'girls.jpg' , 'group.jpg' ) ;

	// 写真の選択
	$html .= '<h2>写真の選択</h2>' ;
	$html .= 	'<p>画像は、再配布が許可されている素材を使用しています。(<a href="http://www.morguefile.com/" target="_blank">morgueFile</a>)</p>' ;
	$html .= 	'<ul style="list-style-type:none; overflow:hidden; margin: 1em 0 0;">' ;

	foreach( $photos as $val )
	{
		$html .= 	'<li style="float:left; margin:0; padding:0;"><a href="?file=' . $val . '"><img src="' . $val . '" width="100" height="auto"></a></li>' ;
	}

	$html .= 	'</ul>' ;

	// スクリプトを起動 (ちょっと遅らせて起動しています)
	$script .= 'setTimeout(function(){ syncerFaceDetect( ' . $json . ' ); } , 1000 ) ;' ;

	// 現在のディレクトリを[http]から取得する関数
	function get_current_dir()
	{
		$ary = explode( '/' , $_SERVER['REQUEST_URI'] ) ;
		$filename = $ary[ ( count( $ary ) - 1 ) ] ;
		return str_replace( $filename , '' , ( !isset($_SERVER['HTTPS']) || empty($_SERVER['HTTPS']) ? 'http://' : 'https://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] ) ;
	}

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Face++のAPIで顔認証をするサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 注意
	このプログラムは、jQueryを利用しています。

	* 配布場所
	https://syncer.jp/how-to-use-faceplusplus-api

	* 動作確認
	https://syncer.jp/how-to-use-faceplusplus-api/demo/detect-and-style.php

	* 最終更新日時
	2015/07/31 00:44

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/how-to-use-faceplusplus-api">配布元: Syncer</a></p>




<!-- JavaScriptの読み込み -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
<script src="./detect.js"></script>
<script><?php echo $script ?></script>




</body>
</html>
